const viewGenerator = require('./plop-templates/view/prompt')
const tableViewGenerator = require('./plop-templates/table-view/prompt')
const componentGenerator = require('./plop-templates/component/prompt')

module.exports = function(plop) {
  plop.setGenerator('view', viewGenerator)
  plop.setGenerator('table-view', tableViewGenerator)
  plop.setGenerator('component', componentGenerator)
  plop.setHelper('equal', function(a, b) {
    return a === b
  })
}
